Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84782 - /etc/init.d/halt does not recognize binded file systems
Summary: /etc/init.d/halt does not recognize binded file systems
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-21 11:26 UTC by Need Real Name
Modified: 2014-03-17 02:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 18:33:02 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-21 11:26:43 UTC
Description of problem:
/etc/init.d/halt does not recognize binded file systems.
There are silly error messags during shut down the system.


Version-Release number of selected component (if applicable):

Testen on RH7.2 and RH7.3 
initscripts 6.67-1


How reproducible:

Let say i have a directory 
/var/lib/foo on /dev/hda7
and
/vars/lib/foo on /dev/hda1 (root device)
/dev/hda7 is mounted on /var

I use bind mounting like this
mount --bind /vars/lib/foo /var/lib/foo

or in fstab:
/vars/lib/foo /var/lib/foo none bind 0 0

    
Actual results:

well if i shutdown the system usign halt or reboot command i get:      


(...)
Unmounting file systems:  umount2: Device or resource busy          
umount: /dev/hda7: not mounted                                    
umount: /var: Illegal seek                                          
[FAILED]                                                                    
                                            
Unmounting file systems (retry):  umount2: Device or resource busy  
umount: /dev/hda7: not mounted                                    
umount: /var: Illegal seek
[FAILED]                                             
                                                                    
                                              
Unmounting file systems (retry):  umount2: Device or resource busy  
umount: /dev/hda7: not mounted                                    
umount: /var: Illegal seek  
[FAILED]        
    
(...)

Expected results:

no error messages
halt script should recognize the bind file systems and unmount it before
other file systems

Additional info:

This problem would be occured on RH8.0 too. (not tested)

Comment 1 Bill Nottingham 2005-09-30 18:33:02 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

Please attempt to reproduce on a current release, such as Fedora Core 4. If this
issue persists, please open a new bug.


Note You need to log in before you can comment on or make changes to this bug.